#### Previous topic

scipy.special.bi_zeros

#### Next topic

scipy.special.ellipj

# scipy.special.itairy

`scipy.special.``itairy`(x) = <ufunc 'itairy'>

  Integrals of Airy functions

  Calculates the integrals of Airy functions from 0 to x.

  Parameters:

  x: array_like

  > Upper limit of integration (float).

  Returns:

  Apt

  > Integral of Ai(t) from 0 to x.

  Bpt

  > Integral of Bi(t) from 0 to x.

  Ant

  > Integral of Ai(-t) from 0 to x.

  Bnt

  > Integral of Bi(-t) from 0 to x.

  Notes

  Wrapper for a Fortran routine created by Shanjie Zhang and Jianming Jin [R417].

  References

  [R417] | (1, 2) Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996. http://jin.ece.illinois.edu/specfunc.html